<div class="container">
    <ng-container *ngIf="show; then Content; else Spinner"></ng-container>
    <ng-template #Content>
        <mat-card>
            <mat-card-header>
                <mat-card-title *ngIf="title">{{title}}</mat-card-title>
                <mat-card-subtitle *ngIf="body" [innerHTML]="body"></mat-card-subtitle>
            </mat-card-header>
            <mat-card-content>
                <mat-accordion *ngIf="questionArray" displayMode="flat" [multi]="false">
                    <mat-expansion-panel *ngFor="let item of questionArray" [hideToggle]="false">
                        <mat-expansion-panel-header>{{item.quest}}</mat-expansion-panel-header>
                        <div class="panel-body-text" [innerHTML]="item.answer"></div>
                    </mat-expansion-panel>
                </mat-accordion>
            </mat-card-content>
        </mat-card>
    </ng-template>
    <ng-template #Spinner>
        <div align="center" class="full-height-container">
            <mat-progress-spinner mode="indeterminate" color="primary"></mat-progress-spinner>
        </div>
    </ng-template>
</div>
